import { Body, Controller, Get, Post, Query } from '@nestjs/common';
import { ModuloService } from './modulo.service';
import { IdInstitucionDto } from '../dto/id-institucion.dto';
import { CrearModuloDto } from './dto/crear-modulo.dto';
@Controller('modulo')
export class ModuloController {
  constructor(private moduloService: ModuloService) {}

  @Get()
  get(@Query() query: IdInstitucionDto) {
    return this.moduloService.findByIdInstitucion(Number(query.id_institucion));
  }

  @Post()
  create(@Body() body: CrearModuloDto) {
    const modulo = this.moduloService.create({
      modulo: body.modulo,
    });
  }
}
